std::hash< nlohmann::json > Struct Reference

hash value for JSON objects More...

`#include <json.hpp>`

## Public Member Functions

std::size_t | operator() (const nlohmann::json &j) const
| return a hash value for a JSON object More...
std::size_t | operator() (const nlohmann::json &j) const
| return a hash value for a JSON object More...

## Detailed Description

hash value for JSON objects

## Member Function Documentation

## operator()() [1/2]

std::size_t std::hash< nlohmann::json >::operator() | ( | const nlohmann::json & | j | ) | const

inline

return a hash value for a JSON object

Since
  version 1.0.0

## operator()() [2/2]

std::size_t std::hash< nlohmann::json >::operator() | ( | const nlohmann::json & | j | ) | const

inline

return a hash value for a JSON object

Since
  version 1.0.0

The documentation for this struct was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp